For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet pipeline stages
      • GETGet a pipeline
      • GETGet all pipelines
      • GETGet deal attributes
      • GETGet all deals
      • POSTCreate a deal
      • GETGet a deal
      • DELDelete a deal
      • PATCHUpdate a deal
      • PATCHLink and Unlink a deal with contacts and companies
      • POSTImport deals(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMDeals

Get a pipeline

GET
https://api.brevo.com/v3/crm/pipeline/details/:pipelineID
GET
/v3/crm/pipeline/details/:pipelineID
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.deals.getAPipeline("pipelineID");
8}
9main();
1[
2 {
3 "pipeline": "5ea675e3da0dd085acaea610",
4 "pipeline_name": "Sales Pipeline",
5 "stages": [
6 {
7 "id": "9e577ff7-8e42-4ab3-be26-2b5e01b42518",
8 "name": "New"
9 }
10 ]
11 }
12]
Retrieve the details of a specific deal pipeline by its identifier, including its stages, stage ordering, and configuration. Use this endpoint to obtain the pipeline and stage IDs needed when creating or updating deals.
Was this page helpful?
Previous

Get all pipelines

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pipelineIDstringRequired

Response

Returns pipeline and its details
pipelinestring
Pipeline id
pipeline_namestring
Pipeline Name
stageslist of objects
List of pipeline stages

Errors

400
Bad Request Error